Read the Provider registry
GET /v1/platform/providers
| Property | Value |
|---|---|
| Operation | get_platform_providers |
| Group | Platform |
| Scope | platform:read |
| Route class | read |
| Idempotency | No Idempotency-Key |
| Audit | Not audited: A configuration read; the registry is platform data. |
| Released in | 1.10.0 |
| Phase 0 host | Served (the hosted api pins 1.65.0) |
Request
Set VOCAL_API to the base URL of your API and VOCAL_API_KEY to an API key with the platform:read scope (Authentication and keys). Replace each placeholder, such as agt_... or <name>, with your own value.
curl "$VOCAL_API/v1/platform/providers" \
-H "Authorization: Bearer $VOCAL_API_KEY"const response = await fetch(`${process.env.VOCAL_API}/v1/platform/providers`, {
headers: {
Authorization: `Bearer ${process.env.VOCAL_API_KEY}`,
},
});
console.log(response.status, await response.text());import os
import requests
response = requests.get(
f"{os.environ['VOCAL_API']}/v1/platform/providers",
headers={
"Authorization": f"Bearer {os.environ['VOCAL_API_KEY']}",
},
)
print(response.status_code, response.text)Responses
| Status | Content type | Shape | Error codes |
|---|---|---|---|
200 | application/json | ProviderRegistry | |
400 | application/json | ErrorEnvelope | invalid_request |
401 | application/json | ErrorEnvelope | unauthenticated |
403 | application/json | ErrorEnvelope | forbidden |
429 | application/json | ErrorEnvelope | rate_limited |
500 | application/json | ErrorEnvelope | internal_error |
Fields of the 200 answer
The shape is ProviderRegistry.
| Field | Type | Required | Description |
|---|---|---|---|
entries | array of ProviderRegistryEntry | yes | |
object | "platform_providers" | yes | |
secondaries | StageSecondaries | yes | |
updated_at | Timestamp or null | yes | |
updated_by | ActorRef or null | yes | |
version | integer | yes | 0 before the first replacement; the ETag. |